Album: Summer By The Sea
Style: single
Artists:
- Circlejourney
Date: March 24, 2019
Date Added: April 13, 2024
URLs:
- https://soundcloud.com/circlejourney/summer-by-the-sea
- https://youtu.be/ll-0cKI6TmA
- https://open.spotify.com/album/2dWX1KRGx5U0szlc3DMl1A
- https://music.apple.com/album/summer-by-the-sea-single/1478776736
Cover Artists:
- Circlejourney
Cover Art File Extension: png
Color: '#E78839'
Groups:
- Circlejourney
- Beyond
---
Track: Summer By The Sea
Duration: 02:24
Lyrics: |-
    It's always summer, always summer
    Always summer by the sea
    Waiting for change like I'm in
    Someone else's story

    We're in a summer, in a summer
    In a summer fantasy
    Come float away with me

    It's always summer, always summer
    Always summer by the sea
    Waiting for change like I'm in
    Someone else's story

    We're in a summer, in a summer
    In a summer fantasy
    Come float away with me

    It's always summer, always summer
    Always summer by the sea
    Waiting for change like I'm in
    Someone else's story

    We're in a summer, in a summer
    In a summer fantasy
    Come float away with me

    It's always summer (always summer)
    Always summer (by the sea)
    Waiting for change (like I'm in)
    Someone else's story

    We're in a summer (in a summer)
    In a summer (fantasy)
    Come float away with me
Commentary: |-
    <i>Circlejourney:</i> ([SoundCloud description](https://soundcloud.com/circlejourney/summer-by-the-sea))

    I think of this as Pala's theme song. Nostalgic and summery the way her design and story always felt to me.
